model rlc_line 
  annotation (
    uses(Modelica(version="2.2.1")), 
    Diagram, 
    experiment(StopTime=1e-07, NumberOfIntervals=15000), 
    experimentSetupOutput);
  Modelica.Electrical.Analog.Lines.OLine oLine(
    r=172.24e-3, 
    l=0.6129e-6, 
    g=0, 
    c=51.57e-12, 
    length=1, 
    N=100) annotation (extent=[0,10; 20,30]);
  Modelica.Electrical.Analog.Sources.StepVoltage Step
    annotation (extent=[-50,0; -30,20], rotation=-90);
  Modelica.Electrical.Analog.Basic.Resistor RG(R=109) "try:50,109,200"
    annotation (extent=[-20,10; 0,30]);
  Modelica.Electrical.Analog.Basic.Resistor RL(R=109) "try: 1,109,1000"
    annotation (extent=[30,0; 50,20], rotation=-90);
  Modelica.Electrical.Analog.Basic.Ground GND
    annotation (extent=[-50,-30; -30,-10]);
equation 
  connect(RG.n, oLine.p1) annotation (points=[5.55112e-16,20; -5.55112e-16,20], 
      style(color=3, rgbcolor={0,0,255}));
  connect(Step.p, RG.p)
    annotation (points=[-40,20; -20,20], style(color=3, rgbcolor={0,0,255}));
  connect(oLine.p2, RL.p)
    annotation (points=[20,20; 40,20], style(color=3, rgbcolor={0,0,255}));
  connect(Step.n, RL.n) annotation (points=[-40,-5.55112e-16; -20,-5.55112e-16; 
        -20,-5.55112e-16; 0,-5.55112e-16; 0,-5.55112e-16; 40,-5.55112e-16], 
      style(color=3, rgbcolor={0,0,255}));
  connect(RL.n, oLine.p3) annotation (points=[40,-5.55112e-16; 26,-5.55112e-16; 
        26,0; 10,0; 10,10], style(color=3, rgbcolor={0,0,255}));
  connect(GND.p, Step.n) annotation (points=[-40,-10; -40,-5.55112e-16], style(
        color=3, rgbcolor={0,0,255}));
end rlc_line;
