
#set output "line-rlc.pdf"; set term pdf
set output "line-rlc.tex"; set term latex size 11cm,7cm
set grid
set style data lines

N="`head -n 1 line-rlc.dat | sed 's/^.* N=\([0-9]*\) .*$/\1/'`"
L="`head -n 1 line-rlc.dat | sed 's/^.* L=\([0-9]*\) .*$/\1/'`"
Z="`head -n 2 line-rlc.dat | tail -n 1 | sed 's/^.* Z=\([0-9]*\).*$/\1/'`"
RL="`head -n 3 line-rlc.dat | tail -n 1 | sed 's/^.* Rl=\([-+e\.0-9]*\).*$/\1/'`"
T=sprintf("Transmission line (N*RLC), $N=%s, L=%s m, Z=R_G=%s \\Omega, R_L=%s \\Omega $",N,L,Z,RL)
set title T
set xlabel "time [ns]"
set ylabel "$u_0, u_N$ [V]"
plot [-0.1:25][-0.01:1.02] \
     "line-rlc.dat" using 1:2 ls 3 lw 2 title "$u_0$", \
     "" using 1:3 ls 1 lw 2 title "$u_N$"

