
#set output "line-rlc.ps"; set term postscript color
set output "line-rlc.pdf"; set term pdf
set grid
set style data lines

N="`head -n 1 line-rlc.dat | sed 's/^.* N=\([-+e\.0-9]*\) .*$/\1/'`"
L="`head -n 1 line-rlc.dat | sed 's/^.* L=\([-+e\.0-9]*\) .*$/\1/'`"
Z="`head -n 2 line-rlc.dat | tail -n 1 | sed 's/^.* Z=\([-+e\.0-9]*\).*$/\1/'`"
RL="`head -n 3 line-rlc.dat | tail -n 1 | sed 's/^.* Rl=\([-+e\.0-9]*\).*$/\1/'`"
RG="`head -n 3 line-rlc.dat | tail -n 1 | sed 's/^.* Rg=\([-+e\.0-9]*\).*$/\1/'`"
T=sprintf("Transmission line: %s RLC segments, L=%s m, Z=%s, R_G=%s, R_L=%s {/Symbol W}",N,L,Z,RG,RL)
set title T
set xlabel "t [ns]"
set ylabel "u_{in} [V], u_{out} [V]"
plot [-0.1:25][-0.01:] "line-rlc.dat" using 1:2 lw 2 lc 7 title "u_{in}", \
     "" using 1:3 lw 1 lc 6 title "u_{out}"

